Description

I think it is kind of conventional for VRT files to have the extension .ovf if they are for vector data, and .ovr if they are for raster data.

The file type filter in browse dialogues for things such as "add vector layer" and "add raster layer" allow you to filter for VRT files, but they

only recognise files with the extension .vrt

It might be good if they also recognised the extensions .ovf and .ovr

Associated revisions

Revision f8c4b3a2 - 2015-12-12 09:00 PM - Jürgen Fischer

Merge pull request #2571 from medspx/work_newfile_extensions

Add formats extensions/protocol already supported by GDAL/OGR

(fixes #3799, fixes #4362, fixes #5242, fixes #6197)

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-12-05 04:34 AM - Médéric RIBREUX

- Tag set to easy

- Status changed from Open to Feedback

Hello, bug triage...

The implementation is quite easy: we have to add the extensions into:

- src/providers/ogr/qgsogrprovider.cpp for vector VRT.

- src/providers/gdal/qgsgdalprovider.cpp for raster VRT.

#5 - 2015-12-12 12:01 PM - Jürgen Fischer

- Status changed from Feedback to Closed

2025-04-26 1/2

https://github.com/qgis/QGIS/blob/master/src/providers/ogr/qgsogrprovider.cpp#L1845
https://github.com/qgis/QGIS/blob/master/src/providers/gdal/qgsgdalprovider.cpp#L2089


Fixed in changeset commit:"f8c4b3a21cb13cc0871cb0fb2ec9b231742b71d5".
